/*
	FileDlg.h
*/
/*
	Not really copyright 2000, Andrew Martens.   All Rights somewhat Reserved.
*/

#ifndef FILEDLG_H
#define FILEDLG_H

#include <Application.h>
#include <stdio.h>
#include <Entry.h>
#include <Path.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>

class FileDlgApplication : public BApplication 
{
public:
	FileDlgApplication();
	
public:
	virtual void ArgvReceived(int32 argc, char** argv);
	virtual void MessageReceived(BMessage* message);
	virtual bool QuitRequested();
	virtual void ReadyToRun();
	virtual void RefsReceived(BMessage* message);
		
private:
	void OnOpen();
	void Open(const entry_ref* ref);
	void Save(const entry_ref* ref, const char* filename);
	
private:
	BFilePanel* aFilePanel;
	bool G_MODE; // OPEN = 1, SAVE = 0
	bool G_MULTI_SELECT;
	bool G_MODAL;
	bool G_FILE;
	uint32 G_NODE_FLAVORS;
	bool G_SQUOTE;
	bool G_DQUOTE;
	bool G_NQUOTE;
};

#endif //FILEDLG_H
